Package org.eclipse.m2m.atl.adt.ui.editor

# Class Messages

java.lang.Object
org.eclipse.m2m.atl.adt.ui.editor.Messages

public final class Messages extends Object
Utility class to access externalized Strings.

## Method Summary

Modifier and Type
Method
Description
`static ResourceBundle`
`getResourceBundle()`
`static String`
`getString(String key)`
Returns a specified `String` from the resource bundle.
`static String`
`getString(String key, Object[] arguments)`
Returns a String from the resource bundle binded with the given arguments.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getString

public static String getString(String key)
Returns a specified `String` from the resource bundle.

Parameters:
  `key` - Key of the String we seek.
Returns:
  The String from the resource bundle associated with `key`.

### getString

public static String getString(String key, Object[] arguments)
Returns a String from the resource bundle binded with the given arguments.

Parameters:
  `key` - Key of the String we seek.
  `arguments` - Arguments for the String formatting.
Returns:
  formatted `String`.
See Also:
  - `MessageFormat.format(String, Object[])`

### getResourceBundle

public static ResourceBundle getResourceBundle()